Description

I am making a file, with several shapes, that connect toe each other (sorry for my bad english, I am dutch)

In Qgis 2.12, when i snap, it goes well. When I open the same shapefile in 2.14.3, and i try to make a new polygon, and I snap to one

exsiting polygon, the line jumps to somewhere arround in the file??

Not always, but some times it does. in version 2.12, at the same location, and the same snap, it will work fine!

so this is a bug in the new version.

History

#1 - 2016-06-12 02:46 AM - Matthias Kuhn

- Priority changed from Low to Severe/Regression

- Resolution deleted (fixed/implemented)

Can you share information how to reproduce the issue and data required to do so?

#2 - 2016-06-13 02:39 AM - A. Egberts

I have tried to export the shape, but in the exported shape does not have the problem.

then I tried to copy the original shape here, but halfway true, the shape does not have the problem at the point I wrote down?

So it is very difficult to reproduce the problem.

If you sketch some shapes and connect them to the polygon point, you will see that somewhere it wil jump to a point miles away! this only occurs in 2.14.3

and in 2.12 I did not notice this fault!

#3 - 2016-06-15 12:45 AM - A. Egberts

I think the problem is in this tool: http://www.lutraconsulting.co.uk/products/autotrace/TraceDigitising.html

advance digitizing!

#4 - 2016-06-28 12:55 AM - Martin Dobias

- Status changed from Open to Feedback
Hi

It is still unclear to me from the description what is the problem. Could you please try to make a screencast to help us understand what is going on?

You have also mentioned the Autotrace plugin - if you disable the plugin, does the problem disappear?

Do you use Autotrace plugin to create the shapes?

#5 - 2016-06-28 01:19 AM - A. Egberts

Martin Dobias wrote:

Hi

It is still unclear to me from the description what is the problem. Could you please try to make a screencast to help us understand what is going on?

You have also mentioned the Autotrace plugin - if you disable the plugin, does the problem disappear?

Do you use Autotrace plugin to create the shapes?

Hello,

I have made, 2 screenprints. screen1 is original, screen2, I was making a shape, and I snapped it to a edge of another shape (polygon) and then in version

2.14.3 the snap point is miles away?

see dropbox screenprints:   https://www.dropbox.com/sh/vjzwwcgmghlr40d/AAAtnSEeqt4ewVFN5EdOUoJaa?dl=0

#6 - 2016-06-28 04:19 AM - Martin Dobias

Thanks for the screenshots.

It looks like you are using the tracing functionality added in 2.14 (the magnet button). Is that intentional?

If yes, would it be possible to share the layer you use for tracing? (If the data are sensitive, feel free to send them directly to me.)

#7 - 2016-06-28 04:34 AM - A. Egberts

Martin Dobias wrote:

Thanks for the screenshots.

It looks like you are using the tracing functionality added in 2.14 (the magnet button). Is that intentional?

If yes, would it be possible to share the layer you use for tracing? (If the data are sensitive, feel free to send them directly to me.)

I have send you the shape by mail!

ard
#8 - 2016-06-28 11:17 AM - Martin Dobias

Hi Ard

Thanks for the data - I have tried to replicate your problem, but things seem to work fine for me even with your data. Maybe you are doing something I have

not done. Could you please try to record video of your screen, so I can see what exactly do you do?

Or could you write down exact steps how to replicate the problem? E.g. 1) start QGIS, 2) start new project, 3) load the attached layer, 4) start editing

mode, 5) enable tracing, 6) zoom somewhere 6) click point X1,Y1, 7) click point X2,Y2

Thanks

Martin

#9 - 2016-06-29 06:06 AM - A. Egberts

Martin Dobias wrote:

Hi Ard

Thanks for the data - I have tried to replicate your problem, but things seem to work fine for me even with your data. Maybe you are doing something

I have not done. Could you please try to record video of your screen, so I can see what exactly do you do?

Or could you write down exact steps how to replicate the problem? E.g. 1) start QGIS, 2) start new project, 3) load the attached layer, 4) start editing

mode, 5) enable tracing, 6) zoom somewhere 6) click point X1,Y1, 7) click point X2,Y2

Thanks

Martin

Martin, I can not point the fault exacly, one time it goes worng, next time it works, even on the same x,y coord. If you are filling the shape, with polygon, by

snapping or tracing the polygon, next to it, you wil get the fault one tim in 2.14.3 with the trace-plugin!  in version 2.12 i did not have this problem!!!!

I tried to replicate the fault, but as I say, next time it works...

Ard

#10 - 2016-06-30 07:56 AM - Sandro Santilli

Is this a duplicate of #13952 ?

#11 - 2016-06-30 08:51 AM - A. Egberts

Sandro Santilli wrote:

Is this a duplicate of #13952 ?

It looks very simular!! Sometime, a polygon point jumps tot a place miles/km away, So the polygon gets a triangel point
But alsof what you see in the video in this #13952!!

#12 - 2016-07-03 12:16 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

very likely to be the same issue, please reopen if you have any evidence that that fix does not apply here.
